import pickle
import pandas as pd
from utils import Arg
import os

arg = Arg.Arg()

def saveData(name,data):
    """
    存放数据
    :param name: 名字
    :param data: 数据
    :return:
    """
    path = arg.dataloc + r"/" + name
    os.makedirs(os.path.dirname(path), exist_ok=True)
    data.to_csv(path, index=False)

def readData(name):
    """
    读取数据
    :param name: 名字
    :return:
    """
    path = arg.dataloc + r"/" + name
    return pd.read_csv(path)

def saveVar(name,data):
    path = arg.varloc + r"/" + name
    os.makedirs(os.path.dirname(path), exist_ok=True)
    with open(path, 'wb') as file:
        pickle.dump(data, file)

def readVar(name):
    path = arg.varloc + r"/" + name
    with open(path, "rb") as file:
        split_NWP = pickle.load(file)
    return split_NWP

